GenericSamInterface Class Referenceabstract
Inheritance diagram for GenericSamInterface:
[legend]

## Public Member Functions

virtual bool | readHeader (IFILE filePtr, SamFileHeader &header, SamStatus &status)=0
virtual bool | writeHeader (IFILE filePtr, SamFileHeader &header, SamStatus &status)=0
virtual void | readRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamStatus &samStatus)=0
virtual SamStatus::Status | writeRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamRecord::SequenceTranslation translation)=0
virtual bool | isEOF (IFILE filePtr)

## Detailed Description

Definition at line 26 of file GenericSamInterface.h.

The documentation for this class was generated from the following files:

- bam/GenericSamInterface.h
- bam/GenericSamInterface.cpp